Skip to main content
Back to API List Use this API to show the self-reported status (available, busy, away, etc.) of agents in a given time interval.
MethodPOST
Endpointhttps://{{host}}/agentassist/api/public/analytics/account/{{accountId}}/agentstatusdetails
Content-Typeapplication/json
Authorizationauth: {{JWT}} See How to generate the JWT Token.
API ScopeSmartAssist Analytics

Path Parameters

ParameterDescriptionType
hostEnvironment URL. For example, https://platform.kore.aistring, required
accountIdThe Account ID.string, required

Query Parameters

ParameterDescriptionType
limitDefault is 50. Maximum is 50 — applied to the agent counts.Number, optional
offsetDefault is 0.number, optional

Sample Request

curl --location --request POST 'https://{{host}}/agentassist/api/public/analytics/account/63f07d26f04465685df4xxxx/agentstatusdetails?limit=8&offset=0' \
--header 'auth: <token>' \
--header 'Content-Type: application/json' \
--header 'iId: st-e19dd469-90f5-5655-b0b2-858de901xxxx' \
--data-raw '{
"filter":{
"dateFilter":{
"date": "2023-04-13",
"timeZoneOffSet" : -330
  }
 }
}'

Request Header Parameters

HeaderDescriptionType
Content-TypeRequest body format. For example, application/jsonrequired
iIdStream or application ID. For example, st-e19dd469-90f5-5655-b0b2-858de901xxxxrequired

Request Body Parameters

ParameterDescriptionType
filterObject with agents and date filter as fields.string, required
agentsEmail IDs of the agents.String, optional
dateFilterObject with start date, end date, and time zone offset as fields.number, required
startDateStart date for filtering records. Format: yyyy-mm-dd. For example, 2022-08-25.date, required
endDateEnd date for filtering records. Format: yyyy-mm-dd. For example, 2022-08-25.date, required
timeZoneOffSetTime zone offset. For example, -330, 630, -500. For US/New York use 300. Use - for time zones east of GMT; no sign for time zones west of GMT.Number, required

Sample Response

{
   "hasMore": false,
   "limit": 3,
   "offset": 2,
   "data": [
       {
           "userId": "u-388b2b2a-264d-511d-918e-f746e5e1xxxx",
           "firstName": "John",
           "lastName": "Doe",
           "email": "john.doe@example.com"
       },
       {
           "userId": "u-fee373f7-8685-5f9b-b359-1e890ccdxxxx",
           "firstName": "Jane",
           "lastName": "Doe",
           "email": "jane.doe@example.com"
       },
       {
           "userId": "u-fdc72ca0-a35d-57ff-bcb3-a33904a4xxxx",
           "firstName": "",
           "lastName": "",
           "email": "john.doe1@example.com",
            "customId": "123456"
           "status": [
               {
                   "primaryStatus": "AVAILABLE",
                   "secondaryStatus": "AVAILABLE",
                   "startTime": "2023-03-09T13:20:38",
                   "endTime": "2023-03-10T21:37:42",
                   "duration": "32:17:04"
               },
               {
                   "primaryStatus": "AVAILABLE",
                   "secondaryStatus": "AVAILABLE",
                   "startTime": "2023-03-10T21:37:42",
                   "endTime": "2023-03-10T21:38:52",
                   "duration": "00:01:10"
               },
               {
                   "primaryStatus": "BUSY",
                   "secondaryStatus": "BUSY",
                   "startTime": "2023-03-10T21:38:52",
                   "endTime": "2023-03-10T21:39:48",
                   "duration": "00:00:55"
               },
               {
                   "primaryStatus": "AVAILABLE",
                   "secondaryStatus": "AVAILABLE",
                   "startTime": "2023-03-10T21:40:17",
                   "endTime": "2023-03-10T21:40:28",
                   "duration": "00:00:11"
               },
               {
                   "primaryStatus": "BUSY",
                   "secondaryStatus": "NBK",
                   "startTime": "2023-03-10T21:51:02",
                   "endTime": "-",
                   "duration": "-"
               }
           ]
       }
   ]
}